## sidekick
Class SideKickActions

    java.lang.Object
      sidekick.SideKickActions

public class SideKickActions
extends Object

Field Summary
`static int` `COMPLETE_COMMAND`
`static int` `COMPLETE_DELAY_KEY`
`static int` `COMPLETE_INSTANT_KEY`

Constructor Summary
`SideKickActions()`

Method Summary
`static void` `complete(View view, int mode)`
`static void` `goToNextAsset(View view)`
`static void` `goToPrevAsset(View view)`
`static void` `keyComplete(View view)`
`static void` `keyCompleteWithDelay(View view)`
`static void` `narrowToAsset(View view)`
`static void` `propertiesChanged()`
`static void` `selectAsset(View view)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPLETE_COMMAND

    public static final int COMPLETE_COMMAND

See Also:
  Constant Field Values

### COMPLETE_DELAY_KEY

    public static final int COMPLETE_DELAY_KEY

See Also:
  Constant Field Values

### COMPLETE_INSTANT_KEY

    public static final int COMPLETE_INSTANT_KEY

See Also:
  Constant Field Values

Constructor Detail

### SideKickActions

    public SideKickActions()

Method Detail

### keyComplete

    public static void keyComplete(View view)

### keyCompleteWithDelay

    public static void keyCompleteWithDelay(View view)

### complete

    public static void complete(View view,
                                int mode)

### selectAsset

    public static void selectAsset(View view)

### narrowToAsset

    public static void narrowToAsset(View view)

### goToPrevAsset

    public static void goToPrevAsset(View view)

### goToNextAsset

    public static void goToNextAsset(View view)

### propertiesChanged

    public static void propertiesChanged()